Package org.apache.qpid.proton.engine.impl

# Class PlainTransportWrapper

java.lang.Object
org.apache.qpid.proton.engine.impl.PlainTransportWrapper

All Implemented Interfaces:
  `TransportInput`, `TransportOutput`, `TransportWrapper`

public class PlainTransportWrapper extends Object implements TransportWrapper

## Constructor Summary

Constructors
Constructor
Description
`PlainTransportWrapper(TransportOutput outputProcessor, TransportInput inputProcessor)`

## Method Summary

Modifier and Type
Method
Description
`int`
`capacity()`
`void`
`close_head()`
`void`
`close_tail()`
`ByteBuffer`
`head()`
`int`
`pending()`
`void`
`pop(int bytes)`
`int`
`position()`
`void`
`process()`
`ByteBuffer`
`tail()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlainTransportWrapper

public PlainTransportWrapper(TransportOutput outputProcessor, TransportInput inputProcessor)

## Method Details

### capacity

public int capacity()

Specified by:
  `capacity` in interface `TransportInput`

### position

public int position()

Specified by:
  `position` in interface `TransportInput`

### tail

public ByteBuffer tail()

Specified by:
  `tail` in interface `TransportInput`

### process

public void process() throws TransportException

Specified by:
  `process` in interface `TransportInput`
Throws:
  `TransportException`

### close_tail

public void close_tail()

Specified by:
  `close_tail` in interface `TransportInput`

### pending

public int pending()

Specified by:
  `pending` in interface `TransportOutput`

### head

public ByteBuffer head()

Specified by:
  `head` in interface `TransportOutput`

### pop

public void pop(int bytes)

Specified by:
  `pop` in interface `TransportOutput`

### close_head

public void close_head()

Specified by:
  `close_head` in interface `TransportOutput`